package org.apithefire.util.lang;

public class Objects {

	private Objects() {
	}
	
	public static <T> T nonNull(T obj) {
		if (obj == null) {
			throw new NullPointerException();
		}
		return obj;
	}
	
	public static boolean equal(Object obj1, Object obj2) {
		return (obj1 == null && obj2 == null)
				|| (obj1 != null && obj2 != null && obj1.equals(obj2));
	}
	
	public static ToStringBuilder toString(Object obj) {
		return new ToStringBuilder(obj);
	}
	
}
