package org.apithefire.util.lang;

public class Strings {

	public static String emptyIfNull(String string) {
		return string == null ? "" : string;
	}
	
	public static String doubleQuoteEscaped(String string) {
		int length = string.length();
		
		if (length == 0) {
			return "\"\"";
		}
		
		StringBuilder result = new StringBuilder();
		
		result.append('"');
		
		for (int i = 0; i < length; ++i) {
			char ch = string.charAt(i);
			
			if (ch == '"') {
				result.append("\\\"");
			} else if (ch == '\n') {
				result.append("\\n");
			} else if (ch == '\r') {
				result.append("\\r");
			} else {
				result.append(ch);
			}
		}
		result.append('"');
		return result.toString();
	}
	
}
