package org.apithefire.util.resource;

import java.util.List;

import org.apithefire.util.lang.Path;

public abstract class AbstractResource implements Resource {
	
	private static final NameFilter passThroughNameFilter = new NameFilter() {
		public String filter(String name) {
			return name;
		}
	};
	
	public List<String> listResourceNames() {
		return listResourceNames(passThroughNameFilter);
	}

	public Resource getResource(String relativePath) {
		if (relativePath.length() == 0) {
			return this;
		}
		return getResource(Path.split(relativePath));
	}
	
	public Resource getResource(Path relativePath) {
		if (relativePath.isEmpty()) {
			return this;
		}
		return doGetResource(relativePath);
	}
	
	protected abstract Resource doGetResource(Path relativePath);

}
